Bug 34658 - imap-devel should install linkage.c
imap-devel should install linkage.c
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-04 07:34 EDT by Radu Greab
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-06 15:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radu Greab 2001-04-04 07:34:49 EDT
linkage.c is needed to build Mail::Cclient Perl module and maybe other
applications too.
linkage.c should be installed by imap-devel.
Comment 1 Mike A. Harris 2001-04-05 02:09:21 EDT
If the Mail::Cclient Perl module requires a portion of the IMAP package
source code, then the package building this perl module should include
the linkage.c file itself.  This should be done by extracting it from the
source package and including it in the src.rpm of the perl module package.

Development packages do not install source code files.
Comment 2 Radu Greab 2001-04-05 03:52:09 EDT
c-client/linkage.c is not a common source file. It does not exist in the IMAP
source distribution,
it is built on the fly when IMAP is compiled and built.

Please read docs/internal.txt. It explains the purpose of linkage.c and why it
should be included
in imap-devel. If linkage.c is not included in imap-devel, then the people would
have to rebuild
IMAP from the source .rpm for their platform and copy the linkage.c file from
the build repository
before it is deleted.
Comment 3 Mike A. Harris 2001-04-05 11:58:28 EDT
This is a horrible hack at best...  however...  I've looked into it, and
it does appear that it is needed, so I'm adding it to /usr/include/imap
for you.

What all applications in the distribution/powertools/whatever do you think
are affected by this?  They may need to be rebuilt.
Comment 4 Radu Greab 2001-04-06 15:31:39 EDT
Unfortunately I don't know what other products may be affected. Thank you for
your support!
Comment 5 Mike A. Harris 2001-04-06 16:03:19 EDT
No problem.  You convinced me to see the light.  ;o)  The updated imap
package is in our tree now and should appear in rawhide soon.
I've copied it to my account so that you can access it right away for
testing purposes:

ftp://people.redhat.com/mharris/testing

Note You need to log in before you can comment on or make changes to this bug.